
Core - Bug # 55768

Status: Resolved Priority: Should have
Author: Thorsten Kahler Category: Pagetree
Created: 2014-02-07 Assigned To: Thorsten Kahler
Updated: 2014-03-31 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Drag & drop in Workspaces moves live page
Description

\TYPO3\CMS\Backend\Tree\Pagetree\Commands::createNode() unnecessarily triggers a move operation when creating a new page.
This already lead to following bugs:

    -  #33104 (creating page after moved page)
    -  #39820 (comparison ignoring datatype)

The "solution" for #33104  caused this new bug when moving pages in a workspace via drag & drop: pages, which are positioned
below a page that has been moved in that workspace before, cause  their live versions to be moved, too.

The move operation in \TYPO3\CMS\Backend\Tree\Pagetree\Commands::createNode() can be dropped completely, because 
DataHandler does all necessary steps when using a negative pid  in the datamap.

Related issues:
related to Core - Bug # 33104: create/move initial-placeholder page behind mo... Resolved 2012-01-11
related to Core - Bug # 39820: unnecessary moveNode in class.t3lib_tree_paget... Resolved 2012-08-15
duplicates Core - Task # 55573: Failing moveContentRecordToDifferentPageAndCh... Resolved 2014-02-02

History
#1 - 2014-02-19 17:49 - Oliver Hader
- Is Regression changed from No to Yes

#2 - 2014-02-20 17:30 - Oliver Hader
- Status changed from New to Resolved

Applied in changeset commit:aa5804ddb098c9bbfa967d75000b0e3f06bff408.

#3 - 2014-02-20 19:12 - Thorsten Kahler

Oliver Hader wrote:

Applied in changeset commit:aa5804ddb098c9bbfa967d75000b0e3f06bff408.

Looks like the proper solution to the issue. Thanks for working that out!
#4 - 2014-03-31 16:11 - Joern Hartmann

I am experiencing a similar issue in Typo3 4.5.32 LTS. Moving a page in a workspace sometimes affects the live page as well. The patch which has
been attached to this issue cannot be applied to 4.5. Any ideas on what could be wrong in 4.5?
